4

When I try to open a .mp4 with subtitle editor I get the following message
GStreamer-plugins missing.

The playback of this movie requires the following decoders which are not installed:

H.264 decoder

I tried "bad" plugins for gstreamer, but I got nothing, tried

sudo apt-get install h264enc, also nothing.

gst-inspect |grep 264 output

'videoparsersbad:  h264parse: H.264 parser
x264:  x264enc: x264enc
rtp:  rtph264depay: RTP H264 depayloader
rtp:  rtph264pay: RTP H264 payloader
h264parse:  legacyh264parse: H264Parse
typefindfunctions: video/x-h264: h264, x264, 264'
  • What is the output of gst-inspect |grep 264 – Ravan Aug 31 '15 at 13:44
4

Open terminal and run the command:

sudo add-apt-repository ppa:mc3man/gstffmpeg-keep  
sudo apt-get update  
sudo apt-get install gstreamer0.10-ffmpeg 
  • already installed – opossum Aug 31 '15 at 12:34
  • I edited my answer @opossum,..please have a try – Ravan Aug 31 '15 at 13:20
  • still nothing it does't work – opossum Aug 31 '15 at 13:35
  • Again edited my answer....@opossum – Ravan Aug 31 '15 at 13:38
  • it didn' work either – opossum Aug 31 '15 at 13:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.